<?xml version="1.0"?>
<doc>
    <assembly>
        <name>Siger.Middlelayer.EsopRepository</name>
    </assembly>
    <members>
        <member name="P:Siger.Middlelayer.EsopRepository.Entities.siger_project_esop_document.type_id">
            <summary>
            文档类型id 
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.EsopRepository.Entities.siger_project_esop_document.product_id">
            <summary>
            产品id
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.EsopRepository.Entities.siger_project_esop_document.machine_id">
            <summary>
            设备id
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.EsopRepository.Entities.siger_project_esop_document.section_id">
            <summary>
            部门id
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.EsopRepository.Entities.siger_project_esop_document.approval_status">
            <summary>
            审批状态
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.EsopRepository.Entities.siger_project_esop_document_approval.approval_result">
            <summary>
            0:不通过 1：通过
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.EsopRepository.Entities.siger_project_esop_document_binding.sign_mid">
            <summary>
            签收人
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.EsopRepository.Entities.siger_project_esop_document_binding.recover_mid">
            <summary>
            回收人
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.EsopRepository.Entities.siger_project_esop_document_history.default_display">
            <summary>
            默认展示  0：不展示  1：展示
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.EsopRepository.Entities.siger_project_esop_document_set.usergroup_ids">
            <summary>
            创建人的组id 
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.EsopRepository.Entities.siger_project_esop_document_set.process_id">
            <summary>
            审批流程id
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.EsopRepository.Entities.siger_project_esop_document_set.sign_usergroup_id">
            <summary>
            签收部门id
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.EsopRepository.Entities.siger_project_esop_document_set.need_train">
            <summary>
            是否需要培训
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.EsopRepository.Entities.siger_project_esop_process_set.approval_usertype">
            <summary>
            审批人类型：1-指定岗位；2-指定人员
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.EsopRepository.Entities.siger_project_esop_process_set.approval_usergroupid">
            <summary>
            审批人用户组id或者用户id
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.EsopRepository.Entities.siger_project_esop_process_set.approval_type">
            <summary>
            审批类型 1：会审 2：任意
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.EsopRepository.Entities.siger_project_esop_process_set.step_number">
            <summary>
            步骤号
            </summary>
        </member>
        <member name="M:Siger.Middlelayer.EsopRepository.Repositories.EsopDocumentHistoryRepository.UpdateSensorFile(System.Int32,System.String,System.String)">
            <summary>
            更新传感器文件名称
            </summary>
            <param name="projectid"></param>
            <param name="oldfile"></param>
            <param name="newfile"></param>
        </member>
        <member name="M:Siger.Middlelayer.EsopRepository.Repositories.Interface.IEsopDocumentBindingRepository.SearchDocumentBinding(System.String,System.String,System.Int32,System.Int32,System.Int32,System.Int32,System.Int32)">
            <summary>
            文档使用记录，按产线查询
            </summary>
            <param name="starttime"></param>
            <param name="endtime"></param>
            <param name="product_id"></param>
            <param name="level_id"></param>
            <param name="page"></param>
            <param name="pagesize"></param>
            <param name="projectId"></param>
            <returns></returns>
        </member>
        <member name="M:Siger.Middlelayer.EsopRepository.Repositories.Interface.IEsopDocumentBindingRepository.SearchDocumentBindingByMachine(System.String,System.String,System.Collections.Generic.IEnumerable{System.Int32},System.String,System.Int32,System.Int32,System.Int32)">
             <summary>
            文档使用记录，按设备查询
             </summary>
             <param name="starttime"></param>
             <param name="endtime"></param>
             <param name="machineIds"></param>
             <param name="keyword"></param>
             <param name="page"></param>
             <param name="pagesize"></param>
             <param name="projectId"></param>
             <returns></returns>
        </member>
        <member name="M:Siger.Middlelayer.EsopRepository.Repositories.Interface.IEsopDocumentBindingRepository.GetDocumentSignList(System.Collections.Generic.IEnumerable{System.Int32},System.Int32,System.Int32,System.Int32,System.Int32,System.Int32)">
            <summary>
            文档签收记录
            </summary>
            <param name="machineIds"></param>
            <param name="status"></param>
            <param name="projectId"></param>
            <param name="userId"></param>
            <param name="page"></param>
            <param name="pagesize"></param>
            <returns></returns>
        </member>
        <member name="M:Siger.Middlelayer.EsopRepository.Repositories.Interface.IEsopDocumentBindingRepository.ShowDocumentBindings(System.Collections.Generic.IEnumerable{System.Int32},System.Int32,System.String,System.Int32)">
            <summary>
            现场展示查询
            </summary>
            <param name="machineIds"></param>
            <param name="type_id"></param>
            <param name="document_name"></param>
            <param name="projectId"></param>
            <returns></returns>
        </member>
        <member name="P:Siger.Middlelayer.EsopRepository.Request.RequestAddDocumentCreate.default_display">
            <summary>
            默认展示  0：不展示  1：展示
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.EsopRepository.Request.ApprovalUserGroup.approval_type">
            <summary>
            会审、任意
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.EsopRepository.Response.ResponseTypeFile.typeid">
            <summary>
            文档类型id
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.EsopRepository.Response.ResponseTypeFile.type">
            <summary>
            文档类型
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.EsopRepository.Response.ResponseFileSet.typeid">
            <summary>
            文档类型id
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.EsopRepository.Response.ResponseFileSet.type">
            <summary>
            文档类型
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.EsopRepository.Response.ResponseFileSet.filename">
            <summary>
            文档名称
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.EsopRepository.Response.ResponseFileSet.fileurl">
            <summary>
            文档地址
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.EsopRepository.Response.ResponseFileSet.version">
            <summary>
            版本号
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.EsopRepository.Response.ResponseFileSet.productName">
            <summary>
            产品名称
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.EsopRepository.Response.ResponseGetEsopDocumentList.usergroups">
            <summary>
             类型权限
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.EsopRepository.Response.ResponseGetProcessFlow.approval_usertype">
            <summary>
            审批人类型：1-指定岗位；2-指定人员
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.EsopRepository.Response.ResponseGetProcessFlow.approval_usergroupid">
            <summary>
            审批人用户组id或者用户id
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.EsopRepository.Response.ResponseGetProcessFlow.approval_type">
            <summary>
            审批类型 1：会审 2：任意
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.EsopRepository.Response.ResponseSearchDocumentBinding.downtime">
            <summary>
            下发时间
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.EsopRepository.Response.ResponseSearchDocumentBinding.signtime">
            <summary>
            签收时间
            </summary>
        </member>
        <member name="P:Siger.Middlelayer.EsopRepository.Response.ResponseSearchDocumentBinding.recovertime">
            <summary>
            回收时间
            </summary>
        </member>
    </members>
</doc>
